package de.intevation.flys.artifacts.states;

import org.apache.log4j.Logger;

import de.intevation.flys.artifacts.model.FacetTypes;

/**
 * Yet, a non-abstract DefaultState.
 */
public class StaticState
extends      DefaultState
implements   FacetTypes
{
    /** The logger that is used in this state. */
    private static final Logger logger = Logger.getLogger(StaticState.class);


    /**
     * Trivial constructor, sets id and description.
     * @param id String used for both id and description.
     */
    public StaticState(String id) {
        this(id, id);
    }


    public StaticState(String id, String description) {
        super();
        setID(id);
        setDescription(description);
    }
}
